# GstAnalyticsTrackingMtd

This type of metadata holds tracking information. In many cases, it is desired to track an object across many frames. This type of metadata holds information about the tracking, for example, it can be used alongside a GstAnalyticsODMtd to track an object.

## GstAnalyticsTrackingMtd

Store information on results of object tracking

### Members

`id` (guint) –
No description available
`meta` (GstAnalyticsRelationMeta *) –
No description available

Since : 1.24

## GstAnalytics.TrackingMtd

Store information on results of object tracking

### Members

`id` (Number) –
No description available
`meta` (GstAnalytics.RelationMeta) –
No description available

Since : 1.24

## GstAnalytics.TrackingMtd

Store information on results of object tracking

### Members

`id` (int) –
No description available
`meta` (GstAnalytics.RelationMeta) –
No description available

Since : 1.24

### Methods

#### gst_analytics_tracking_mtd_get_info

    gboolean
    gst_analytics_tracking_mtd_get_info (GstAnalyticsTrackingMtd * instance,
                                         guint64* tracking_id,
                                         GstClockTime * tracking_first_seen,
                                         GstClockTime * tracking_last_seen,
                                         gboolean* tracking_lost)

Retrieve tracking information.

Parameters:

`instance` –

Instance of tracking metadata

`tracking_id` ( [out]) –

Updated tracking id

`tracking_first_seen` ( [out]) –

Updated timestamp of the tracking first observation.

`tracking_last_seen` ( [out]) –

Updated timestamp of the tracking last observation.

`tracking_lost` ( [out]) –

Has the tracking been lost

Returns –

Successfully retrieved info.

Since : 1.24

#### GstAnalytics.TrackingMtd.prototype.get_info

    function GstAnalytics.TrackingMtd.prototype.get_info(): {
        // javascript wrapper for 'gst_analytics_tracking_mtd_get_info'
    }

Retrieve tracking information.

Parameters:

`instance` (GstAnalytics.TrackingMtd) –

Instance of tracking metadata

Returns a tuple made of:

(Number ) –

Successfully retrieved info.

`tracking_id` (Number ) –

Successfully retrieved info.

`tracking_first_seen` (Number ) –

Successfully retrieved info.

`tracking_last_seen` (Number ) –

Successfully retrieved info.

`tracking_lost` (Number ) –

Successfully retrieved info.

Since : 1.24

#### GstAnalytics.TrackingMtd.get_info

    def GstAnalytics.TrackingMtd.get_info (self):
        #python wrapper for 'gst_analytics_tracking_mtd_get_info'

Retrieve tracking information.

Parameters:

`instance` (GstAnalytics.TrackingMtd) –

Instance of tracking metadata

Returns a tuple made of:

(bool ) –

Successfully retrieved info.

`tracking_id` (int ) –

Successfully retrieved info.

`tracking_first_seen` (int ) –

Successfully retrieved info.

`tracking_last_seen` (int ) –

Successfully retrieved info.

`tracking_lost` (bool ) –

Successfully retrieved info.

Since : 1.24

#### gst_analytics_tracking_mtd_set_lost

    gboolean
    gst_analytics_tracking_mtd_set_lost (GstAnalyticsTrackingMtd * instance)

Parameters:

`instance` –

Instance of GstAnalyticsTrackingMtd. Set tracking to lost

Returns –

Update successful

Since : 1.24

#### GstAnalytics.TrackingMtd.prototype.set_lost

    function GstAnalytics.TrackingMtd.prototype.set_lost(): {
        // javascript wrapper for 'gst_analytics_tracking_mtd_set_lost'
    }

Parameters:

`instance` (GstAnalytics.TrackingMtd) –

Instance of GstAnalyticsTrackingMtd. Set tracking to lost

Returns (Number) –

Update successful

Since : 1.24

#### GstAnalytics.TrackingMtd.set_lost

    def GstAnalytics.TrackingMtd.set_lost (self):
        #python wrapper for 'gst_analytics_tracking_mtd_set_lost'

Parameters:

`instance` (GstAnalytics.TrackingMtd) –

Instance of GstAnalyticsTrackingMtd. Set tracking to lost

Returns (bool) –

Update successful

Since : 1.24

#### gst_analytics_tracking_mtd_update_last_seen

    gboolean
    gst_analytics_tracking_mtd_update_last_seen (GstAnalyticsTrackingMtd * instance,
                                                 GstClockTime last_seen)

Parameters:

`instance` –

GstAnalyticsTrackingMtd instance

`last_seen` –

Timestamp of last time this object was tracked

Returns –
No description available

Since : 1.24

#### GstAnalytics.TrackingMtd.prototype.update_last_seen

    function GstAnalytics.TrackingMtd.prototype.update_last_seen(last_seen: Number): {
        // javascript wrapper for 'gst_analytics_tracking_mtd_update_last_seen'
    }

Parameters:

`instance` (GstAnalytics.TrackingMtd) –

GstAnalyticsTrackingMtd instance

`last_seen` (Number) –

Timestamp of last time this object was tracked

Returns (Number) –
No description available

Since : 1.24

#### GstAnalytics.TrackingMtd.update_last_seen

    def GstAnalytics.TrackingMtd.update_last_seen (self, last_seen):
        #python wrapper for 'gst_analytics_tracking_mtd_update_last_seen'

Parameters:

`instance` (GstAnalytics.TrackingMtd) –

GstAnalyticsTrackingMtd instance

`last_seen` (int) –

Timestamp of last time this object was tracked

Returns (bool) –
No description available

Since : 1.24

### Functions

#### gst_analytics_tracking_mtd_get_mtd_type

    GstAnalyticsMtdType
    gst_analytics_tracking_mtd_get_mtd_type ()

Returns –

id representing the type of GstAnalyticsRelatableMtd

Get the opaque id identifying the relatable type

Since : 1.24

#### GstAnalytics.TrackingMtd.prototype.get_mtd_type

    function GstAnalytics.TrackingMtd.prototype.get_mtd_type(): {
        // javascript wrapper for 'gst_analytics_tracking_mtd_get_mtd_type'
    }

Returns (Number) –

id representing the type of GstAnalyticsRelatableMtd

Get the opaque id identifying the relatable type

Since : 1.24

#### GstAnalytics.TrackingMtd.get_mtd_type

    def GstAnalytics.TrackingMtd.get_mtd_type ():
        #python wrapper for 'gst_analytics_tracking_mtd_get_mtd_type'

Returns (int) –

id representing the type of GstAnalyticsRelatableMtd

Get the opaque id identifying the relatable type

Since : 1.24

The results of the search are